Loading...
Searching...
No Matches
BALL::MMFF94StretchBend Class Reference
Molecular Modeling » Molecular Mechanics » MMFF94 Force Field.

`#include <BALL/MOLMEC/MMFF94/MMFF94StretchBend.h>`

Inheritance diagram for BALL::MMFF94StretchBend:

## Classes

struct | StretchBend
struct | Bend
| see MMFFANG.PAR More...
struct | Stretch

## Public Member Functions

| MMFF94StretchBend ()
| MMFF94StretchBend (ForceField &force_field)
| MMFF94StretchBend (const MMFF94StretchBend &to_copy)
virtual | ~MMFF94StretchBend ()
virtual bool | setup ()
virtual double | updateEnergy ()
| Calculates and returns the component's energy.
virtual double | updateBendEnergy ()
virtual double | updateStretchEnergy ()
virtual double | updateStretchBendEnergy ()
double | getStretchEnergy () const
double | getBendEnergy () const
double | getStretchBendEnergy () const
virtual void | updateForces ()
| Calculates and returns the component's forces.
virtual void | updateBendForces ()
virtual void | updateStretchForces ()
virtual void | updateStretchBendForces ()
const vector< Bend > & | getBends () const
const vector< Stretch > & | getStretches () const
const vector< StretchBend > & | getStretchBends () const
Index | calculateSBTIJK (Position angle_type, bool bond_type1, bool bond_type2)
Position | getBendType (const Bond &bond1, const Bond &bond2, Atom &atom1, Atom &atom2, Atom &atom3) const
double | calculateBendEmpiricalReferenceAngle (Atom &atom1, Atom &atom2, Atom &atom3) const
| Bend emperical reference angle.
double | calculateBendEmpiricalForceConstant (Atom &atom1, Atom &atom2, Atom &atom3, double angle_0) const
| Bend emperical force constant.
double | calculateStretchR0 (const Bond &bond)
| Calculate the radius value per Schomaker-Stevenson Rule.
double | calculateStretchConstant (const Bond &bond, double r0)
Public Member Functions inherited from BALL::ForceFieldComponent
| ForceFieldComponent ()
| ForceFieldComponent (ForceField &force_field)
| ForceFieldComponent (const ForceFieldComponent &force_field_component)
virtual | ~ForceFieldComponent ()
ForceField * | getForceField () const
void | setForceField (ForceField &force_field)
void | setName (const String &name)
String | getName () const
bool | isEnabled () const
void | setEnabled (bool state)
virtual double | getEnergy () const
virtual void | update ()
double | updateScore ()
Public Member Functions inherited from BALL::ScoringComponent
| ScoringComponent ()
| ScoringComponent (const ScoringComponent &sc)
| ScoringComponent (ScoringFunction &sf)
void | selectBaseFunction (String function)
virtual | ~ScoringComponent ()
virtual void | clear ()
virtual void | setupLigand ()
ScoringFunction * | getScoringFunction () const
void | setScoringFunction (ScoringFunction &sf)
String | getName () const
void | setName (const String &name)
const String & | getTypeName ()
double | getRawScore () const
double | getScaledScore () const
virtual void | update (const vector< std::pair< Atom *, Atom * > > &pair_vector)
virtual void | setLigandIntraMolecular (bool b)
bool | isLigandIntraMolecular ()
bool | isGridable ()
bool | isAtomPairwise ()
void | setCoefficient (const double &coeff)
const double & | getCoefficient ()
void | setNormalizationParameters (double stddev, double mean)
void | getNormalizationParameters (double &stddev, double &mean)
bool | isEnabled ()
void | enable ()
void | disable ()

## Additional Inherited Members

Protected Member Functions inherited from BALL::ScoringComponent
double | scaleScore (double score) const
ForceField * | force_field_
double | energy_
Protected Attributes inherited from BALL::ScoringComponent
bool | ligand_intra_molecular_
bool | gridable_
bool | atom_pairwise_
ScoringFunction * | scoring_function_
ScoringBaseFunction * | base_function_
double | score_
double | coefficient_
double | stddev_
double | mean_
bool | enabled_
String | type_name_

## Detailed Description

MMFF94 bond stretch component

Definition at line 25 of file MMFF94StretchBend.h.

## Constructor & Destructor Documentation

## MMFF94StretchBend() [1/3]

BALL::MMFF94StretchBend::MMFF94StretchBend | ( |  | ) |

Default constructor.

## MMFF94StretchBend() [2/3]

BALL::MMFF94StretchBend::MMFF94StretchBend | ( | ForceField & | force_field | ) |

Constructor.

## MMFF94StretchBend() [3/3]

BALL::MMFF94StretchBend::MMFF94StretchBend | ( | const MMFF94StretchBend & | to_copy | ) |

Copy constructor

## ~MMFF94StretchBend()

virtual BALL::MMFF94StretchBend::~MMFF94StretchBend | ( |  | ) |

virtual

Destructor.

## Member Function Documentation

## calculateBendEmpiricalForceConstant()

double BALL::MMFF94StretchBend::calculateBendEmpiricalForceConstant | ( | Atom & | atom1,
|  | Atom & | atom2,
|  | Atom & | atom3,
|  | double | angle_0 ) const

Bend emperical force constant.

## calculateBendEmpiricalReferenceAngle()

double BALL::MMFF94StretchBend::calculateBendEmpiricalReferenceAngle | ( | Atom & | atom1,
|  | Atom & | atom2,
|  | Atom & | atom3 ) const

Bend emperical reference angle.

## calculateSBTIJK()

Index BALL::MMFF94StretchBend::calculateSBTIJK | ( | Position | angle_type,
|  | bool | bond_type1,
|  | bool | bond_type2 )

## calculateStretchConstant()

double BALL::MMFF94StretchBend::calculateStretchConstant | ( | const Bond & | bond,
|  | double | r0 )

## calculateStretchR0()

double BALL::MMFF94StretchBend::calculateStretchR0 | ( | const Bond & | bond | ) |

Calculate the radius value per Schomaker-Stevenson Rule.

## getBendEnergy()

double BALL::MMFF94StretchBend::getBendEnergy | ( |  | ) | const

## getBends()

const vector< Bend > & BALL::MMFF94StretchBend::getBends | ( |  | ) | const

inline

Definition at line 149 of file MMFF94StretchBend.h.

## getBendType()

Position BALL::MMFF94StretchBend::getBendType | ( | const Bond & | bond1,
|  | const Bond & | bond2,
|  | Atom & | atom1,
|  | Atom & | atom2,
|  | Atom & | atom3 ) const

## getStretchBendEnergy()

double BALL::MMFF94StretchBend::getStretchBendEnergy | ( |  | ) | const

## getStretchBends()

const vector< StretchBend > & BALL::MMFF94StretchBend::getStretchBends | ( |  | ) | const

inline

Definition at line 155 of file MMFF94StretchBend.h.

## getStretchEnergy()

double BALL::MMFF94StretchBend::getStretchEnergy | ( |  | ) | const

## getStretches()

const vector< Stretch > & BALL::MMFF94StretchBend::getStretches | ( |  | ) | const

inline

Definition at line 152 of file MMFF94StretchBend.h.

## setup()

virtual bool BALL::MMFF94StretchBend::setup | ( |  | ) |

virtual

Setup method.

Exceptions

  BALL::Exception::TooManyErrors |

Reimplemented from BALL::ForceFieldComponent.

## updateBendEnergy()

virtual double BALL::MMFF94StretchBend::updateBendEnergy | ( |  | ) |

virtual

## updateBendForces()

virtual void BALL::MMFF94StretchBend::updateBendForces | ( |  | ) |

virtual

## updateEnergy()

virtual double BALL::MMFF94StretchBend::updateEnergy | ( |  | ) |

virtual

Calculates and returns the component's energy.

Reimplemented from BALL::ForceFieldComponent.

## updateForces()

virtual void BALL::MMFF94StretchBend::updateForces | ( |  | ) |

virtual

Calculates and returns the component's forces.

Reimplemented from BALL::ForceFieldComponent.

## updateStretchBendEnergy()

virtual double BALL::MMFF94StretchBend::updateStretchBendEnergy | ( |  | ) |

virtual

## updateStretchBendForces()

virtual void BALL::MMFF94StretchBend::updateStretchBendForces | ( |  | ) |

virtual

## updateStretchEnergy()

virtual double BALL::MMFF94StretchBend::updateStretchEnergy | ( |  | ) |

virtual

## updateStretchForces()

virtual void BALL::MMFF94StretchBend::updateStretchForces | ( |  | ) |

virtual